How can i fix this problem?

33 views (last 30 days)
Hayat
Hayat on 18 Jan 2023
Answered: Prasanth Sunkara on 10 Mar 2023
Hi
I'm trying to install all the missing linux packages and libraries required to make the Raspbian OS compatible with MATLAB and SIMULINK by choosing option customize the existing Raspbian OS running on my hardware Raspberry pi 4, so i got an error during installing packages and libraries Error executing command "sudo ldconfig -p grep libmmal.so" .
Thank you
  6 Comments
Chris Hellmann
Chris Hellmann on 3 Feb 2023
During Raspberry Pi Hardware Setup I also get this error, has anyone found a workaround for it?
Abdennour zeghida
Abdennour zeghida on 20 Feb 2023
hi , same problem with me ,

Sign in to comment.

Answers (1)

Prasanth Sunkara
Prasanth Sunkara on 10 Mar 2023
I thought I would clarify the compatibility of Hardware Setup's OS customization option of various(latest ones) MATLAB releases and the Raspberry Pi OSes.
1) Only Debian version of Raspbian OS is supported. That means Ubuntu based distro's are not supported.
2) Till R2022b MATLAB version, 32-bit buster, stretch OSes are supported. Bullseye OS is not supported as of R2022b.
3) 64 bit OS is not supported as of R2022b(R2022b is the latest MATLAB version at the time of wiriting this post).
If some one is reading this post in future, when R2023a and above versions are released, please note that Bullseye support and 64 bit OS support "may" be added by MathWorks. Please check official MATLAB release notes to get info on latest updates.

Categories

Find more on MATLAB Support Package for Raspberry Pi Hardware in Help Center and File Exchange

Products


Release

R2022b

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!